summaryrefslogtreecommitdiff
path: root/test/testlib
diff options
context:
space:
mode:
Diffstat (limited to 'test/testlib')
-rw-r--r--test/testlib7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/testlib b/test/testlib
index 9e0911526..84cda7b37 100644
--- a/test/testlib
+++ b/test/testlib
@@ -9,6 +9,13 @@ compile() {
$G $D/$F.go
}
+compiledir() {
+ for gofile in $D/$F.dir/*.go
+ do
+ $G ${gofile} || return 1
+ done
+}
+
build() {
$G $D/$F.go && $L $F.$A
}